Summary: 	Infrastructure to gather information about the running Linux system
Name: 		systemtap
Epoch:		1
Version: 	1.2
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Development/Kernel
URL: 		http://sourceware.org/systemtap/
Source: 	http://sourceware.org/systemtap/ftp/releases/systemtap-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires:	libcap-devel
Buildrequires:	elfutils-static-devel
BuildRequires:	gtkmm2.4-devel


%description
SystemTap provides free software (GPL) infrastructure to simplify the gathering
of information about the running Linux system. This assists diagnosis of a 
performance or functional problem. SystemTap eliminates the need for the 
developer to go through the tedious and disruptive instrument, recompile, 
install, and reboot sequence that may be otherwise required to collect data.

SystemTap provides a simple command line interface and scripting language for
writing instrumentation for a live running kernel. We are publishing samples, 
as well as enlarging the internal "tapset" script library to aid reuse and 
abstraction. We also plan to support probing userspace applications. We are 
investigating interfacing Systemtap with similar tools such as Frysk, 
Oprofile and LTT.

Current project members include Red Hat, IBM, Intel, and Hitachi.


%prep
%setup -q

%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
# cd src
%makeinstall

# we add testsuite with a lot of examples
install -m 766 -d testsuite $RPM_BUILD_ROOT/%{_datadir}/%{name}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS INSTALL HACKING README
%{_bindir}/dtrace
%{_bindir}/stap*
%{_mandir}/man*/*
%{_libdir}/%{name}/*
%{_datadir}/%{name}/*
%{_includedir}/sys/sdt.h


%changelog
* Thu Mar 25 2010 trem <trem@mandriva.org> 1:1.2-1mdv2010.1
+ Revision: 527315
- update to 1.2
- remove patch systemtap-1.1-get_argv.patch (added upstream)
- remove patch systemtap-1.1-cfi-cfa_ops-fixes.patch (added upstream)
- remove patch systemtap-1.1-tighten-server-params.patch (added upstream)

* Thu Feb 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-2mdv2010.1
+ Revision: 511042
- sync with systemtap-1.1-2.fc13.src.rpm
- P1: security fix for CVE-2010-0411
- P2: security fix for CVE-2010-0412, CVE-2009-4273

  + trem <trem@mandriva.org>
    - update to 1.1
    - remove patch p0, p1 and p2 (CVE-2009-2911) (added upstream)

* Fri Oct 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.0-3mdv2010.0
+ Revision: 459091
- Force rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Add Fedora patches to fix CVE-2009-2911

* Wed Sep 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:1.0-1mdv2010.0
+ Revision: 447869
- Updated to 1.0.

* Wed Aug 05 2009 trem <trem@mandriva.org> 1:0.9.9-1mdv2010.0
+ Revision: 410267
- update to 0.9.9

* Fri Jun 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:0.9.8-1mdv2010.0
+ Revision: 385378
- Updated to version 0.9.8

* Tue May 12 2009 trem <trem@mandriva.org> 0.20090429.1-1mdv2010.0
+ Revision: 375054
- update to 20090429 (0.9.7)
- update to 0.8
- clean .spec (remove useless patch)

* Tue Oct 14 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 0.20081013.1-1mdv2009.1
+ Revision: 293675
- Update to 2008-10-13 version, because of changes in the kernel API

* Wed Jul 09 2008 trem <trem@mandriva.org> 0.20080705.1-1mdv2009.0
+ Revision: 233150
- update to 20080705

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.20080614.1-2mdv2009.0
+ Revision: 232373
- rebuilt against new libcap

* Fri Jun 20 2008 trem <trem@mandriva.org> 0.20080614.1-1mdv2009.0
+ Revision: 227507
- remove useless BuildRequires
- add patches to fix configure (Underlinking problems)
- add Buildrequires:elfutils-devel
- update to 20080614

* Sun May 18 2008 trem <trem@mandriva.org> 0.20080517.1-1mdv2009.0
+ Revision: 208699
- update to 20080517:x
- add testsuite (include some example)

* Sat May 10 2008 trem <trem@mandriva.org> 0.20080510.1-1mdv2009.0
+ Revision: 205404
- update to 20080510
- update to 20080315

* Sun Feb 17 2008 trem <trem@mandriva.org> 0.20080216.1-1mdv2008.1
+ Revision: 170043
- update to 20080216

* Sun Feb 10 2008 trem <trem@mandriva.org> 0.20080209.1-1mdv2008.1
+ Revision: 164875
- update to 20080209

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20080126.1-1mdv2008.1
+ Revision: 158876
- update to 20080126

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20080112.1-2mdv2008.1
+ Revision: 158778
- update to 20080112

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20071208.1-2mdv2008.1
+ Revision: 158756
- fix provide (don't request a lib that don't exist)

* Thu Jan 03 2008 trem <trem@mandriva.org> 0.20071208.1-1mdv2008.1
+ Revision: 143564
- add elfutils-static-devel as buildrequires
- add elfutils and libcap-devel as buildrequires
- add libelfutils-devel as builrequires
- add libcap-devel as Buildrequires
- import systemtap


* Sun Dec  9 2007  <trem@mandriva.org> 0.20071208.1-1mdv2008.1
- Initial build.
